public class EdgeClassification {

	/** Konstanten fuer Typen von Kanten. Kann von aussen z.B. per
	 * EdgeClassification.Type.TREE verwendet werden. */
	enum Type { TREE, BACK, FORWARD, CROSS };

	/** Quellknoten, aus dem diese Kante herausfuehrt. */
	int source;
	/** Zielknoten, in den diese Kante hineinfuehrt. */
	int target;
	/** Typ dieser Kante */
	Type type;

	public EdgeClassification(int source, int target, Type type) {
		this.source = source;
		this.target = target;
		this.type = type;
	}
}
