import java.util.LinkedList;
import java.util.List;

public class ClassifierTest {
	public static void main(String[] args) {
		// TODO: Ersetzen Sie EdgeClassifier durch Ihre Implementierung.
		EdgeClassifier classifier = new EdgeClassifier();

		Graph g = new AdjacencyMatrixGraph(6);

		int a = g.freshNode();
		int b = g.freshNode();
		int c = g.freshNode();
		int d = g.freshNode();
		int e = g.freshNode();
		int f = g.freshNode();

		try {
			g.addEdge(a, b);
			g.addEdge(a, d);
			g.addEdge(b, e);
			g.addEdge(c, e);
			g.addEdge(c, f);
			g.addEdge(d, b);
			g.addEdge(e, f);
			g.addEdge(f, f);

			List<EdgeClassification> edges = classifier.classifyEdges(g);

			for (EdgeClassification edge : edges) {
				System.out.println("(" + edge.source + ", " + edge.target + "): " + edge.type);
			}
		} catch (NodeNotFoundException ex) {
			System.err.println("Exception: " + ex);
		}
	}

}
